using System;
using Games.TowerLib;
namespace TestTowerLib
{
    class Program
    {
        static void Main(string[] args)
        {


            Tower[] towers = new Tower[3];
            towers[0] = new Tower(10, "A");
            towers[1] = new Tower("B");
            towers[2] = new Tower("C");
            HanoiTowersSolution(towers, 10, 0, 2);


        }
        private static void HanoiTowersSolution(Tower[] towers, int nRings, int fromPole, int toPole)
        {
            int extraPole;
            if (nRings > 0)
            {
                extraPole = 3 - (fromPole + toPole);
                HanoiTowersSolution(towers, nRings - 1, fromPole, extraPole);
                towers[fromPole].MoveDisc(towers[toPole]);
                HanoiTowersSolution(towers, nRings - 1, extraPole, toPole);
            }

        }
    }
}
