using System;
using Unit4.CollectionsLib;
using Unit4.UtilsLib;
using BinTreeCanvasLib;


namespace BinTreeTest
{
    class Program
    {
        
        static void Main(string[] args)
        {
            BinTreeNode<string> t1 = new BinTreeNode<string>("ab");
            TreeCanvas.TreeDraw(t1);
            Console.WriteLine("To Continue Press Enter");
            Console.ReadLine();
            BinTreeNode<int> t = new BinTreeNode<int>(6);
            TreeCanvas.TreeDraw(t);
            t.SetLeft(new BinTreeNode<int>(5));
            Console.WriteLine("To Continue Press Enter");
            Console.ReadLine();
            TreeCanvas.TreeDraw(t);
            t.GetLeft().SetLeft(new BinTreeNode<int>(1));
            Console.WriteLine("To Continue Press Enter");
            Console.ReadLine();
            TreeCanvas.TreeDraw(t);
            t.GetLeft().GetLeft().SetRight(new BinTreeNode<int>(new BinTreeNode<int>(2), 3, new BinTreeNode<int>(4)));
            Console.WriteLine("To Continue Press Enter");
            Console.ReadLine();
            TreeCanvas.TreeDraw(t);
            t.SetRight(new BinTreeNode<int>(10));
            t.GetRight().SetRight(new BinTreeNode<int>(11));
            Console.WriteLine("To Continue Press Enter");
            Console.ReadLine();
            Console.Clear();
            TreeCanvas.TreeDraw(t);
            t.GetRight().SetLeft(new BinTreeNode<int>(new BinTreeNode<int>(7), 8, new BinTreeNode<int>(9)));
            Console.WriteLine(BinTreeUtils.InOrderTraversal(t));
            TreeCanvas.TreeDraw(t);
            Console.ReadLine();
            Console.Clear();
            t = null;
            TreeCanvas.TreeDraw(t);
            Console.ReadLine();
            TreeCanvas.TreeDraw(t);
            for (int i = 1; i < 10; i++)
            {
                t = BinTreeUtils.BuildRandomTree(50, 1, 19);
                Console.WriteLine(i);
                TreeCanvas.TreeDraw(t);
                Console.WriteLine(BinTreeUtils.InOrderTraversal(t));
                //Console.WriteLine("To Next Random Tree Press Enter");
                Console.ReadLine();
                Console.Clear();
            }
          }
    } 
}
